
ThreatFactor NSIA - Bug #332

Error When Attempting to Manually Import Definitions

02/11/2011 11:06 PM - Luke Murphey

Status: Closed Start date: 02/11/2011

Priority: Normal Due date: 02/12/2011

Assignee: Luke Murphey % Done: 100%

Category: Web Interface Estimated time: 0.00 hour

Target version: 1.0.3   

Description

java.lang.NullPointerException

        at net.lukemurphey.nsia.scan.DefinitionSet.<init>(DefinitionSet.java:69)

        at net.lukemurphey.nsia.scan.DefinitionSet.loadFromXml(DefinitionSet.java:428)

        at net.lukemurphey.nsia.scan.DefinitionSet.loadFromString(DefinitionSet.java:674)

        at net.lukemurphey.nsia.scan.DefinitionArchive.updateDefinitions(DefinitionArchive.java:10

22)

        at net.lukemurphey.nsia.web.views.DefinitionsImportView.process(DefinitionsImportView.java

:89)

        at net.lukemurphey.nsia.web.View.process(View.java:90)

        at net.lukemurphey.nsia.web.View.process(View.java:58)

        at net.lukemurphey.nsia.web.WebConsoleServlet.doRequest(WebConsoleServlet.java:83)

        at net.lukemurphey.nsia.web.WebConsoleServlet.doPost(WebConsoleServlet.java:124)

        at javax.servlet.http.HttpServlet.service(HttpServlet.java:154)

        at javax.servlet.http.HttpServlet.service(HttpServlet.java:92)

        at org.mortbay.jetty.servlet.ServletHolder.handle(ServletHolder.java:428)

        at org.mortbay.jetty.servlet.WebApplicationHandler.dispatch(WebApplicationHandler.java:473

)

        at org.mortbay.jetty.servlet.ServletHandler.handle(ServletHandler.java:568)

        at org.mortbay.http.HttpContext.handle(HttpContext.java:1530)

        at org.mortbay.jetty.servlet.WebApplicationContext.handle(WebApplicationContext.java:633)

        at org.mortbay.http.HttpContext.handle(HttpContext.java:1482)

        at org.mortbay.http.HttpServer.service(HttpServer.java:909)

        at org.mortbay.http.HttpConnection.service(HttpConnection.java:820)

        at org.mortbay.http.HttpConnection.handleNext(HttpConnection.java:986)

        at org.mortbay.http.HttpConnection.handle(HttpConnection.java:837)

        at org.mortbay.http.SocketListener.handleConnection(SocketListener.java:245)

        at org.mortbay.util.ThreadedServer.handle(ThreadedServer.java:357)

        at org.mortbay.util.ThreadPool$PoolThread.run(ThreadPool.java:534)

History

#1 - 02/12/2011 12:14 AM - Luke Murphey

It appears that the parser was unable to find the definition set date in the XML and then tried to clone an empty field. I am not sure why the date field

was empty since definitions sets always have a date field.

#2 - 02/12/2011 12:18 AM - Luke Murphey

- Status changed from New to Closed

- Target version set to 1.0.3

- % Done changed from 0 to 100
